/*
 * @(#)WrongFormatException.java
 *
 * General classes for encoding/decoding
 * Developed at the Institute for Information Processing and Microprocessor Technology (FIM)
 * Johannes Kepler University Linz
 * Altenbergerstr. 69, A-4040 Linz, Austria
 */

package FIM.Util.Coder;

import java.io.IOException;

/**
Signifies that the encoder or decoder ancountered information that is not
correct according to the specification of the format.

@author  Michael Sonntag
@version 1.0, 1.7.2000
*/
public class WrongFormatException extends IOException
{
    /**
    Constructs an <code>WrongFormatException</code> with the specified detail message.
    @param detail the detail message
    */
    public WrongFormatException(String s)
    {
        super(s);
    }

    /**
    Constructs an <code>WrongFormatException</code> with the detail message "Wrong format".
    */
    public WrongFormatException()
    {
        super("Wrong format");
    }

}
