/*
 * @(#)CertificateModel.java
 *
 * GUI utility classes.
 * Developed at the Institute for Information Processing and Microprocessor Technology (FIM)
 * Johannes Kepler University Linz
 * Altenbergerstr. 69, A-4040 Linz, Austria
 */

package FIM.Util.GUI;

import FIM.Util.GUI.NamedListModel;
import FIM.Util.Crypto.NamedKeyAndCertificate;

/**
A model for a named list consisting of objects of the class <code>NamedKeyAndCertificate</code>.
Returns the name of the certificate as the name of the item.

@author Michael Sonntag
@version 1.0, 1.7.2000
@see FIM.Util.Crypto.NamedKeyAndCertificate
*/
public class CertificateModel extends NamedListModel
{
    /**
    Returns the name of the vertificate as name of the entry.
    @param index the index of the element whose name should be retrieved
    @return the name of the certificate at the provided index
    */
    public String getName(int index)
    {
        return ((NamedKeyAndCertificate)getDataAt(index)).getName();		    
    }
    
}