/*
 * @(#)HasReadOnlyStore.java
 *
 * Utility classes
 * Developed at the Institute for Information Processing and Microprocessor Technology (FIM)
 * Johannes Kepler University Linz
 * Altenbergerstr. 69, A-4040 Linz, Austria
 */

package FIM.Util;

import java.util.*;
import java.io.*;

/**
Interface for marking an object to contain an <code>ReadOnlyStore</code>.
Allows just to retrieve the store, so something can be put into it.

@author  Michael Sonntag
@version 1.0, 1.7.2000
@see FIM.Util.ReadOnlyStore
*/
public interface HasReadOnlyStore
{
    /** 
    Retrieve the read only store.
    @return the read only store
    */
    public ReadOnlyStore getReadOnlyStore();
    
}