/*
 * @(#)CannotSendException.java
 *
 * Classes for sending SMS messages using websites
 * Developed at the Institute for Information Processing and Microprocessor Technology (FIM)
 * Johannes Kepler University Linz
 * Altenbergerstr. 69, A-4040 Linz, Austria
 */

package FIM.Util.SMS;

/**
Signifies that the system could not send the SMS message. Used by the class
<code>SMSPost</code>.

@author  Michael Sonntag
@version 1.0, 1.7.2000
@see FIM.Util.SMS.SMSPost
*/
public class CannotSendException extends java.lang.Exception
{
    /**
    Constructs a <code>CannotSendException</code> with the specified detail message.
    @param detail the detail message
    */
    public CannotSendException(String msg)
    {
        super(msg);
    }

    /**
    Constructs a <code>CannotSendException</code> without a specified detail message.
    Default message is "Could not send SMS!".
    */
    public CannotSendException()
    {
        super("Could not send SMS!");
    }

}