/*
 * @(#)TimerAction.java
 *
 * Part of the AgentSystem "POND"
 * Developed at the Institute for Information Processing and Microprocessor Technology (FIM)
 * Johannes Kepler University Linz
 * Altenbergerstr. 69, A-4040 Linz, Austria
 */

package FIM.Util.Threads;

/**
Interface for the listening threads of <code>Timers</code>. The method 
<code>doTimerAction</code> will be called when the time is elapsed.

@author Michael Sonntag
@version 1.0, 1.7.2000
@see FIM.Util.Threads.Timer
*/
public interface TimerAction
{
    /**
    Called when the timer is elapsed.
    @param the id of the timer (retrieve it with {@link FIM.Util.Threads.Timer#getID() <code>Timer.getID</code>})
    @see FIM.Util.Threads.Timer#getID()
    */
	public void doTimerAction(long id);
}

