/*
 * @(#)InputCheckboxElement.java
 *
 * Classes for handling HTML-Forms without UI
 * Developed at the Institute for Information Processing and Microprocessor Technology (FIM)
 * Johannes Kepler University Linz
 * Altenbergerstr. 69, A-4040 Linz, Austria
 */

package FIM.Util.WWW.Form;

import javax.swing.text.html.HTMLDocument;
import javax.swing.text.Element;

/**
Class for the HTML element INPUT with subtype CHECKBOX.

@author  Michael Sonntag
@version 1.0, 1.7.2000
*/
public class InputCheckboxElement extends SelectableElement
{

    /**
    Creates a new INPUT/CHECKBOX element.
    @param doc the document this element belongs to
    @param parent the parent of this element
    @param group the group this element belongs to
    @param startOffs start offset of the element in the document
    @param endOffs end offset of the element in the document
    @param name the name of the element
    @param value the value of the element
    @param initiallySelected if <code>true</code>, this element is selected at the beginning
    */
    public InputCheckboxElement(HTMLDocument doc,Element parent,ElementGroup group,int startOffs,int endOffs,String name,String value,boolean initiallySelected)
    {
        super(doc,parent,group,startOffs,endOffs,name,value,initiallySelected);
    }
    
    /**
    Returns a string representation of the input checkbox element.
    @return string representation of the form element
    */
    public String toString()
    {
        return "Input checkbox element ("+getName()+":"+getValue()+")="+getLabel()+", "+((selected)?"Selected":"Not selected");
    }
}