/*
 * @(#)TextareaElement.java
 *
 * Classes for handling HTML-Forms without UI
 * Developed at the Institute for Information Processing and Microprocessor Technology (FIM)
 * Johannes Kepler University Linz
 * Altenbergerstr. 69, A-4040 Linz, Austria
 */

package FIM.Util.WWW.Form;

import javax.swing.text.html.HTMLDocument;
import javax.swing.text.Element;

/**
Class for the HTML element TEXTAREA.

@author  Michael Sonntag
@version 1.0, 1.7.2000
*/
public class TextareaElement extends TextElement
{
    
    /**
    Creates a new TEXTAREA element, which just stores a piece of text.
    @param doc the document this element belongs to
    @param parent the parent of this element
    @param startOffs start offset of the element in the document
    @param endOffs end offset of the element in the document
    @param name the name of the element
    @param text the initial text content of the element
    */
    public TextareaElement(HTMLDocument doc,Element parent,int startOffs,int endOffs,String name,String text)
    {
        super(doc,parent,startOffs,endOffs,name,text);
    }
    
    /**
    Returns a string representation of the text element.
    @return string representation of the form element
    */
    public String toString()
    {
        return "Textarea element ("+getName()+"): "+getText();
    }
}