/*
 * @(#)FIMCryptographyProvider.java
 *
 * Part of the AgentSystem "POND"
 * Developed at the Institute for Information Processing and Microprocessor Technology (FIM)
 * Johannes Kepler University Linz
 * Altenbergerstr. 69, A-4040 Linz, Austria
 */

package FIM.test;

import java.io.*;
import java.util.*;
import java.security.*;

/**
Defines the FIM test cryptography provider. Supports only creation of <code>FIMVoucher</code> certificates.<br>

@author  Michael Sonntag
@version 1.0, 1.7.2000
@see FIM.test.FIMVoucher
*/
public final class FIMCryptographyProvider extends Provider
{

    /**
    Creates a new provider.
    */
    public FIMCryptographyProvider()
    {
	    super("FIMCryptographyProvider",1.0,"FIMCryptographyProvider");
    	AccessController.doPrivileged(new java.security.PrivilegedAction()
	    {
	        public Object run()
    	    {
    	        // Certificates
    		    put("CertificateFactory.FIMVoucher","FIM.test.FIMFactory");
        		return null;
	        }
    	}   
	    );
    }

}